#!/bin/bash

# Run SEC Edgar Filer Manual (EFM) DQC tests
# (Note: This example script is for arelle.)

ARELLECMDLINESRC=/home/arelle/edgr211/arelleCmdLine.py
PYTHON=python3.6
#PLUGINS=EdgarRenderer
PLUGINS='validate/EFM|inlineXbrlDocumentSet'
EFM_VAL=efm-pragmatic
#EFM_VAL=efm-preview

rm -f out/EFM-DQC-cert-*

TESTCASESROOT=DQC-certification-test.xml
OUTPUTLOGFILE=out/EFM-DQC-cert-log.txt
OUTPUTERRFILE=out/EFM-DQC-cert-err.txt
OUTPUTCSVFILE=out/EFM-DQC-cert-report.xlsx
TESTCASESINDEXFILE=$TESTCASESROOT

$PYTHON $ARELLECMDLINESRC --file "$TESTCASESINDEXFILE" --noCertificateCheck --plugins $PLUGINS --disclosureSystem $EFM_VAL --validate --testcaseResultOptions match-all --csvTestReport "$OUTPUTCSVFILE" --testcaseResultsCaptureWarnings --logFile "$OUTPUTLOGFILE" 2>  "$OUTPUTERRFILE" &
echo "$! " >> out/EFM-DQC-cert-PID
